Xerces-C++ 3.2.3

Public Member Functions | List of all members
Hash2KeysSetOfEnumerator< THasher > Class Template Reference

## Public Member Functions
| Hash2KeysSetOfEnumerator (Hash2KeysSetOf< THasher > *const toEnum, const bool adopt=false, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~Hash2KeysSetOfEnumerator ()
bool | hasMoreElements () const
void | Reset ()
void | nextElementKey (const void *&, int &)
void | setPrimaryKey (const void *key)

## Constructor & Destructor Documentation

## ◆ Hash2KeysSetOfEnumerator()

template<class THasher >

Hash2KeysSetOfEnumerator< THasher >::Hash2KeysSetOfEnumerator | ( | Hash2KeysSetOf< THasher > *const | toEnum,
|  | const bool | adopt = `false`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~Hash2KeysSetOfEnumerator()

template<class THasher >

virtual Hash2KeysSetOfEnumerator< THasher >::~Hash2KeysSetOfEnumerator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ hasMoreElements()

template<class THasher >

bool Hash2KeysSetOfEnumerator< THasher >::hasMoreElements | ( |  | ) | const

## ◆ nextElementKey()

template<class THasher >

void Hash2KeysSetOfEnumerator< THasher >::nextElementKey | ( | const void *& | ,
|  | int & |
| ) |  |

## ◆ Reset()

template<class THasher >

void Hash2KeysSetOfEnumerator< THasher >::Reset | ( |  | ) |

## ◆ setPrimaryKey()

template<class THasher >

void Hash2KeysSetOfEnumerator< THasher >::setPrimaryKey | ( | const void * | key | ) |

The documentation for this class was generated from the following file:

- Hash2KeysSetOf.hpp